---
title: AbstractRange.endContainer
slug: Web/API/AbstractRange/endContainer
tags:
  - API
  - AbstractRange
  - DOM
  - DOM API
  - End
  - Node
  - Position
  - Property
  - Range
  - Read-only
  - Reference
  - container
  - endContainer
---
<p>{{APIRef("DOM")}}</p>

<p><span class="seoSummary">The <strong><code>endContainer</code></strong> property of the {{domxref("AbstractRange")}} interface returns the {{domxref("Node")}} in which the end of the range is located.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>endNode</em> = <em>range</em>.endContainer
</pre>

<h3 id="Value">Value</h3>

<p>The DOM {{domxref("Node")}} which contains the final character of the range.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-endcontainer', 'endContainer')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('Static Range','#dom-AbstractRange-endcontainer','endContainer')}}</td>
   <td>{{Spec2('Static Range')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.AbstractRange.endContainer")}}</p>
